Bug 810285 - jbpm-human-task.war: users and groups MVEL files are mandatory, should be optional
jbpm-human-task.war: users and groups MVEL files are mandatory, should be opt...
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2012-04-05 10:20 EDT by Jiri Locker
Modified: 2013-04-29 23:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-04-05 10:20:39 EDT
Description of problem:
Every time jbpm-human-task.war is deployed it reads LoadGroups.mvel and LoadUsers.mvel files and add the users and groups to the task service session. This is no problem as long as hbm2ddl.auto=create and schema is re-created during deployment. However, when hbm2ddl.auto=update or hbm2ddl is turned off, the attempt to add the set of groups and users results in SQL exception (unique constraint broken).

Currently those two files cannot be removed, because task service servlet requires they are present on classpath. My workaround is that they "return [:]", it should be possible to remove them completely.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
When task service is deployed (not for the first time and hbm2ddl is off), it fails with SQL exception, because it tries to add duplicate users and groups. The users and groups files cannot be simply removed.

Expected results:
Task service should start if the users and groups files are not present

Additional info:
Comment 1 Maciej Swiderski 2012-04-06 04:54:54 EDT
Pull request ready to allow clean management of user/group creation.
Comment 2 Ryan Zhang 2012-04-23 03:36:58 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 3 Jiri Locker 2012-04-25 10:01:17 EDT
Verified in ER6.

Due to this fix users and groups read from the users/groups files are no longer added to the task session if they already exist (warning is logged in that case). Additionally, the change introduced when fixing bug 800508 allows to use different users/groups files or to omit them completely by using empty init parameters load.users and load.groups.

These two changes allow the task service to continue working with already populated database, e.g. after server restart. Thank you!

Note You need to log in before you can comment on or make changes to this bug.